## Overview

The Apache Hadoop software library is a framework that allows for the
distributed processing of large data sets across clusters of computers
using a simple programming model.

This charm deploys a client node running
[Apache Hadoop 2.4.1](http://hadoop.apache.org/docs/r2.4.1/)
from which workloads can be manually run.

## Usage

This charm is intended to be deployed as a part of the
[core bundle](https://jujucharms.com/apache-core-batch-processing):

    juju quickstart apache-core-batch-processing

This will deploy the Apache Hadoop platform with a single client unit.
From there, you can manually load and run map-reduce jobs:

    juju scp my-job.jar client/0:
    juju ssh client/0
    hadoop jar my-job.jar


## Contact Information

- <bigdata@lists.ubuntu.com>


## Hadoop

- [Apache Hadoop](http://hadoop.apache.org/) home page
- [Apache Hadoop bug trackers](http://hadoop.apache.org/issue_tracking.html)
- [Apache Hadoop mailing lists](http://hadoop.apache.org/mailing_lists.html)
- [Apache Hadoop Juju Charm](http://jujucharms.com/?text=hadoop)
